Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class ProtozoanOlapModel

    java.lang.Object
      com.tonbeller.jpivot.core.ModelSupport
          com.tonbeller.jpivot.olap.model.impl.ScalarOlapModel
              com.tonbeller.jpivot.olap.model.impl.ProtozoanOlapModel

All Implemented Interfaces:
  Model, Decorator, OlapModel, Result, Visitable, com.tonbeller.wcf.bookmarks.Bookmarkable

    public class ProtozoanOlapModel

extends ScalarOlapModel

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.olap.model.OlapModel
`OlapModel.EmptyCubeException, OlapModel.ResultTooLargeException`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`ProtozoanOlapModel(OlapModel om, int idx)`

Method Summary
`void` | `addModelChangeListener(ModelChangeListener l)` adds a model change listener
`java.util.List` | `getCells()` returns a collection containing a single cell
`void` | `removeModelChangeListener(ModelChangeListener l)` removes a model change listener

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.ScalarOlapModel
`accept, getAxes, getCaption, getDimensions, getFormattedValue, getID, getMeasures, getResult, getRootDecoree, getSlicer, getValue, initialize, isOverflowOccured, setCaption, setFormattedValue, setID, setOverflowOccured, setServletContext, setValue`

Methods inherited from class com.tonbeller.jpivot.core.ModelSupport
`addExtension, destroy, fireModelChanged, fireModelChanged, fireStructureChanged, fireStructureChanged, getBookmarkState, getExtension, getExtensions, getLocale, getRootModel, getTopDecorator, setBookmarkState, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.OlapModel
`destroy`

Methods inherited from interface com.tonbeller.jpivot.core.Model
`addExtension, getExtension, getExtensions, getRootModel, getTopDecorator, setLocale`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### ProtozoanOlapModel

    public ProtozoanOlapModel(OlapModel om,
                              int idx)

Method Detail

### addModelChangeListener

    public void addModelChangeListener(ModelChangeListener l)

  Description copied from interface: `Model`
  adds a model change listener

  Specified by:
    `addModelChangeListener` in interface `Model`
  Overrides:
    `addModelChangeListener` in class `ModelSupport`
  See Also:
    `Model.addModelChangeListener(ModelChangeListener)`

### removeModelChangeListener

    public void removeModelChangeListener(ModelChangeListener l)

  Description copied from interface: `Model`
  removes a model change listener

  Specified by:
    `removeModelChangeListener` in interface `Model`
  Overrides:
    `removeModelChangeListener` in class `ModelSupport`
  See Also:
    `Model.removeModelChangeListener(ModelChangeListener)`

### getCells

    public java.util.List getCells()

  Description copied from class: `ScalarOlapModel`
  returns a collection containing a single cell

  Specified by:
    `getCells` in interface `Result`
  Overrides:
    `getCells` in class `ScalarOlapModel`
  Returns:
    the Cells of the result
  See Also:
    `Cell`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD